"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BaseSchema = void 0;
var _symbols = require("./symbols");
class BaseSchema {
  /**
   * Object schema getter
   *
   * @type {ObjectSchema}
   */
  static get schema() {
    return Reflect.getMetadata(_symbols.REALM_SYMBOL_SCHEMA, this);
  }

  /**
   * Get schema name of this class
   *
   * @type {string}
   */
  static get schemaName() {
    return this.schema.name;
  }

  /**
   * Create a new instance of this class
   *
   * instance instanceof BaseSchema will return true
   */
  static create() {
    return Object.create(this.prototype);
  }

  /**
   * Returns a string representing the object
   *
   * @override
   */
  toString() {
    return JSON.stringify(this);
  }
}
exports.BaseSchema = BaseSchema;
//# sourceMappingURL=BaseSchema.js.map