"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RealmDatabase = void 0;
var _realm = _interopRequireDefault(require("realm"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
class RealmDatabase {
  constructor() {
    _defineProperty(this, "database", void 0);
  }
  /**
   * Realm database getter
   */
  get realm() {
    return this.database;
  }

  /**
   * Initializes the database
   *
   * @returns {Promise<Realm>}
   */
  async init() {
    this.database = await _realm.default.open({
      path: this.path,
      schema: this.schemas
    });
    return this.database;
  }
}
exports.RealmDatabase = RealmDatabase;
//# sourceMappingURL=RealmDatabase.js.map