"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RealmProperty = RealmProperty;
var _helpers = require("./helpers");
var _symbols = require("./symbols");
/**
 * Define a schema property
 *
 * @param type {PropertyType}
 * @param required {boolean}
 */
function RealmProperty(type) {
  let required = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  return function (target, property) {
    if (typeof property !== 'string') {
      throw new Error('Property key is not a string');
    }
    const dataType = required ? type : `${type}?`;
    const properties = (0, _helpers.getClassSchema)(target);
    Reflect.defineMetadata(_symbols.REALM_SYMBOL_PROPERTIES, {
      ...properties,
      [property]: dataType
    }, target);
  };
}
//# sourceMappingURL=RealmProperty.js.map