"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RealmSchema = RealmSchema;
var _helpers = require("./helpers");
require("reflect-metadata");
var _symbols = require("./symbols");
/**
 * Define a schema object associated to a class
 *
 * @param options {SchemaInfo}
 */
function RealmSchema(options) {
  return function (target) {
    const {
      primaryKey = _symbols.REALM_ID_FIELD,
      name
    } = options;
    const schemaName = name || target.name;
    const schema = {
      name: schemaName,
      primaryKey,
      properties: (0, _helpers.getClassSchema)(target.prototype)
    };
    Reflect.defineMetadata(_symbols.REALM_SYMBOL_SCHEMA, schema, target);
  };
}
//# sourceMappingURL=RealmSchema.js.map