import { REALM_SYMBOL_SCHEMA } from './symbols';
export class BaseSchema {
  /**
   * Object schema getter
   *
   * @type {ObjectSchema}
   */
  static get schema() {
    return Reflect.getMetadata(REALM_SYMBOL_SCHEMA, this);
  }

  /**
   * Get schema name of this class
   *
   * @type {string}
   */
  static get schemaName() {
    return this.schema.name;
  }

  /**
   * Create a new instance of this class
   *
   * instance instanceof BaseSchema will return true
   */
  static create() {
    return Object.create(this.prototype);
  }

  /**
   * Returns a string representing the object
   *
   * @override
   */
  toString() {
    return JSON.stringify(this);
  }
}
//# sourceMappingURL=BaseSchema.js.map