function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
import Realm from 'realm';
export class RealmDatabase {
  constructor() {
    _defineProperty(this, "database", void 0);
  }
  /**
   * Realm database getter
   */
  get realm() {
    return this.database;
  }

  /**
   * Initializes the database
   *
   * @returns {Promise<Realm>}
   */
  async init() {
    this.database = await Realm.open({
      path: this.path,
      schema: this.schemas
    });
    return this.database;
  }
}
//# sourceMappingURL=RealmDatabase.js.map