import { getClassSchema } from './helpers';
import { REALM_SYMBOL_PROPERTIES } from './symbols';

/**
 * Define a schema property
 *
 * @param type {PropertyType}
 * @param required {boolean}
 */
export function RealmProperty(type) {
  let required = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  return function (target, property) {
    if (typeof property !== 'string') {
      throw new Error('Property key is not a string');
    }
    const dataType = required ? type : `${type}?`;
    const properties = getClassSchema(target);
    Reflect.defineMetadata(REALM_SYMBOL_PROPERTIES, {
      ...properties,
      [property]: dataType
    }, target);
  };
}
//# sourceMappingURL=RealmProperty.js.map