import { getClassSchema } from './helpers';
import 'reflect-metadata';
import { REALM_ID_FIELD, REALM_SYMBOL_SCHEMA } from './symbols';

/**
 * Define a schema object associated to a class
 *
 * @param options {SchemaInfo}
 */
export function RealmSchema(options) {
  return function (target) {
    const {
      primaryKey = REALM_ID_FIELD,
      name
    } = options;
    const schemaName = name || target.name;
    const schema = {
      name: schemaName,
      primaryKey,
      properties: getClassSchema(target.prototype)
    };
    Reflect.defineMetadata(REALM_SYMBOL_SCHEMA, schema, target);
  };
}
//# sourceMappingURL=RealmSchema.js.map