import { REALM_SYMBOL_PROPERTIES } from './symbols';
/**
 * Get schema properties of a class prototype
 *
 * @param target {Record<string, any>}
 *
 * @returns {ObjectSchema['properties']}
 */
export function getClassSchema(target) {
  return Reflect.getMetadata(REALM_SYMBOL_PROPERTIES, target) ?? {};
}

/**
 * Get schema list from a class list
 *
 * @param schemaClasses {Array<typeof BaseSchema>}
 *
 * @returns {ObjectSchema[]}
 */
export function schemaListOf() {
  for (var _len = arguments.length, schemaClasses = new Array(_len), _key = 0; _key < _len; _key++) {
    schemaClasses[_key] = arguments[_key];
  }
  return schemaClasses.map(schemaClass => schemaClass.schema);
}
//# sourceMappingURL=helpers.js.map