import type { ObjectSchema } from 'realm';
export declare abstract class BaseSchema {
    /**
     * Object schema getter
     *
     * @type {ObjectSchema}
     */
    static get schema(): ObjectSchema;
    /**
     * Get schema name of this class
     *
     * @type {string}
     */
    static get schemaName(): string;
    /**
     * Create a new instance of this class
     *
     * instance instanceof BaseSchema will return true
     */
    static create<T extends BaseSchema>(): T;
    /**
     * Returns a string representing the object
     *
     * @override
     */
    toString(): string;
}
