import Realm, { ObjectSchema } from 'realm';
export declare abstract class RealmDatabase {
    private database;
    /**
     * Define the database schemas
     *
     * @type {ObjectSchema[]}
     */
    abstract get schemas(): ObjectSchema[];
    /**
     * Define the database path
     *
     * @type {String}
     */
    abstract get path(): string;
    /**
     * Realm database getter
     */
    get realm(): Realm;
    /**
     * Initializes the database
     *
     * @returns {Promise<Realm>}
     */
    init(): Promise<Realm>;
}
