import type { ObjectSchema } from 'realm';
import type { BaseSchema } from './BaseSchema';
/**
 * Get schema properties of a class prototype
 *
 * @param target {Record<string, any>}
 *
 * @returns {ObjectSchema['properties']}
 */
export declare function getClassSchema(target: Object): ObjectSchema['properties'];
/**
 * Get schema list from a class list
 *
 * @param schemaClasses {Array<typeof BaseSchema>}
 *
 * @returns {ObjectSchema[]}
 */
export declare function schemaListOf(...schemaClasses: Array<typeof BaseSchema>): ObjectSchema[];
